% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/allGenerics.R
\name{mkdGeneralTitledMsg}
\alias{mkdGeneralTitledMsg}
\title{mkdGeneralTitledMsg}
\usage{
mkdGeneralTitledMsg(object, title = NULL, level = 1, message)
}
\arguments{
\item{object}{an easyreporting class object}

\item{title}{the title of the report section.}

\item{level}{the level (1 to 6) of the title (default is 1)}

\item{message}{the message to append to the report}
}
\value{
none
}
\description{
It appends a a titled section followed by a general message to 
the report. Useful for adding natural language comments.
}
\examples{
\dontrun{
rd <- easyreporting(filenamePath="./project_report",
                        title="example_report", author=c("It's me"))
mkdGeneralTitledMsg(rd, title="Generic SubTitle for this message", level=2,
            message="Writing a paragraph to describe my code chunk")
}
}
